# 完整示例

::: details 完整结构 直接粘贴使用

```json5
{
  "Url": {
    "burl": "http://192.168.18.111:8000/",
    "rurl": "api/WebMeshProvider/"
  },
  "Other": {
    "WebView": {
      "MaxViewNumber": 30
    },
    "CameraMove": {
      "Angle": 45,
      "Scale": 20
    }
  },
  "Scene": {
    "background": "#151c2a"
  },
  "SceneShowConfig":{
    "IsShowHellp":false,
    "IsSaveBgFileContent":false
  },
  "Camera": {
    "set_position": [100, 100, 100],
    "set_rotation": [0, 0, 0],
    "set_up": [0, 0, 1]
  },
  "Controls": {
    "set_target": [0, 0, 0],
    "minDistance": 0,
    "maxDistance": 100000,
    "minPolarAngle": 3,
    "maxPolarAngle": 89,
    "enableDamping":false,
    "dampingFactor":0.05
  },
  "Light": {
    "DirectionalLight": {
      "set_position": [1, -1, 4],
      "color": "#ffffff"
    },
    "AmbientLight": {
      "color": "#777777"
    }
  },
  "Material": {
    "DefaultMaterial": {
      "matType": "MeshPhongMaterial",
      "color": "#C2C2C2",
      "transparent": true
    },
    "System": {

    },
    "CustomGroup": {
      
    }
  },
  "Matrix": {
    "CustomGroup": {
      "BaoJingWebPanel": {
        "contentMessage": "所有报警设备面板默认位置以及缩放系数",
        "translate": {
          "y": 10
        },
        "scale": {
          "x": 1,
          "y": 1,
          "z": 1
        }
      }
    }
  },
  "Load_OST": [{
      "name": "OST_MechanicalEquipment",
      "CName": "机械设备"
    },
    {
      "name": "OST_PipeFitting",
      "CName": "管件"
    },
    {
      "name": "OST_PipeAccessory",
      "CName": "管道附件"
    },
    {
      "name": "OST_PipeCurves",
      "CName": "管道"
    },
    {
      "name": "OST_CableTray",
      "CName": "电缆桥架"
    },
    {
      "name": "OST_CableTrayFitting",
      "CName": "电缆桥架配件"
    },
    {
      "name": "OST_DuctFitting",
      "CName": "风管管件"
    },
    {
      "name": "OST_DuctCurves",
      "CName": "风管"
    },
    {
      "name": "OST_DuctAccessory",
      "CName": "风管附件"
    },
    {
      "name": "OST_DuctTerminal",
      "CName": "风道末端"
    },
    {
      "name": "OST_ElectricalEquipment",
      "CName": "电气设备"
    },
    {
      "name": "OST_ElectricalFixtures",
      "CName": "电气装置"
    },
    {
      "name": "OST_FireAlarmDevices",
      "CName": "火警设备"
    },
    {
      "name": "OST_LightingFixtures",
      "CName": "照明设备"
    },
    {
      "name": "OST_SecurityDevices",
      "CName": "安全设备"
    },
    {
      "name": "OST_SpecialityEquipment",
      "CName": "专用设备"
    },
    {
      "name": "OST_FlexPipeCurves",
      "CName": "软管"
    },
    {
      "name": "OST_FlexDuctCurves",
      "CName": "软风管"
    },
    {
      "name": "OST_FabricationParts",
      "CName": "预制零件"
    },
    {
      "name": "OST_GenericModel",
      "CName": "常规模型"
    },
    {
      "name": "OST_Walls",
      "CName": "墙"
    },
    {
      "name": "OST_Ceilings",
      "CName": "天花板"
    },
    {
      "name": "OST_Floors",
      "CName": "楼板"
    },
    {
      "name": "OST_Roofs",
      "CName": "屋顶"
    },
    {
      "name": "OST_Doors",
      "CName": "门"
    },
    {
      "name": "OST_Windows",
      "CName": "窗"
    },
    {
      "name": "OST_Columns",
      "CName": "柱"
    },
    {
      "name": "OST_StructuralStiffener",
      "CName": "结构加强板"
    },
    {
      "name": "OST_AreaRein",
      "CName": "结构区域钢筋"
    },
    {
      "name": "OST_StructuralFoundation",
      "CName": "结构基础"
    },
    {
      "name": "OST_StructuralColumns",
      "CName": "结构柱"
    },
    {
      "name": "OST_StructuralTruss",
      "CName": "结构桁架"
    },
    {
      "name": "OST_StructuralFraming",
      "CName": "结构框架"
    },
    {
      "name": "OST_Stairs",
      "CName": "楼梯"
    },
    {
      "name": "OST_CurtainWallPanels",
      "CName": "幕墙嵌板"
    },
    {
      "name": "OST_CurtainWallMullions",
      "CName": "幕墙竖梃"
    },
    {
      "name": "OST_CurtaSystem",
      "CName": "幕墙系统"
    },
    {
      "name": "OST_Topography",
      "CName": "地形"
    },
    {
      "name": "OST_Site",
      "CName": "场地"
    },
    {
      "name": "OST_Ramps",
      "CName": "坡道"
    },
    {
      "name": "OST_HVAC_Zones",
      "CName": "HVAC 区"
    },
    {
      "name": "OST_Mass",
      "CName": "体量"
    },
    {
      "name": "OST_Parking",
      "CName": "停车场"
    },
    {
      "name": "OST_RasterImages",
      "CName": "光栅图像"
    },
    {
      "name": "OST_PlumbingFixtures",
      "CName": "卫浴装置"
    },
    {
      "name": "OST_Sprinklers",
      "CName": "喷头"
    },
    {
      "name": "OST_Furniture",
      "CName": "家具"
    },
    {
      "name": "OST_FurnitureSystems",
      "CName": "家具系统"
    },
    {
      "name": "OST_Wire",
      "CName": "导线"
    },
    {
      "name": "OST_Rooms",
      "CName": "房间"
    },
    {
      "name": "OST_NurseCallDevices",
      "CName": "护理呼叫设备"
    },
    {
      "name": "OST_DataDevices",
      "CName": "数据设备"
    },
    {
      "name": "OST_StairsRailing",
      "CName": "栏杆扶手"
    },
    {
      "name": "OST_Planting",
      "CName": "植物"
    },
    {
      "name": "OST_Casework",
      "CName": "橱柜"
    },
    {
      "name": "OST_LightingDevices",
      "CName": "灯具"
    },
    {
      "name": "OST_TelephoneDevices",
      "CName": "电话设备"
    },
    {
      "name": "OST_MEPSpaces",
      "CName": "空间"
    },
    {
      "name": "OST_PipeInsulations",
      "CName": "管道隔热层"
    },
    {
      "name": "OST_Entourage",
      "CName": "环境"
    },
    {
      "name": "OST_DetailComponents",
      "CName": "详图项目"
    },
    {
      "name": "OST_CommunicationDevices",
      "CName": "通讯设备"
    },
    {
      "name": "OST_Roads",
      "CName": "道路"
    },
    {
      "name": "OST_Areas",
      "CName": "面积"
    },
    {
      "name": "OST_DuctLinings",
      "CName": "风管内衬"
    },
    {
      "name": "OST_PlaceHolderDucts",
      "CName": "风管占位符"
    },
    {
      "name": "OST_DuctInsulations",
      "CName": "风管隔热层"
    },
    {
      "name": "OST_PlaceHolderPipes",
      "CName": "管道占位符"
    },
    {
      "name": "OST_Lines",
      "CName": "线"
    },
    {
      "name": "OST_Conduit",
      "CName": "线管"
    },
    {
      "name": "OST_ConduitFitting",
      "CName": "线管配件"
    },
    {
      "name": "OST_Parts",
      "CName": "组成部分"
    },
    {
      "name": "OST_StructuralFramingSystem",
      "CName": "结构梁系统"
    },
    {
      "name": "OST_PathRein",
      "CName": "结构路径钢筋"
    },
    {
      "name": "OST_StructConnections",
      "CName": "结构连接"
    },
    {
      "name": "OST_Rebar",
      "CName": "结构钢筋"
    },
    {
      "name": "OST_FabricReinforcement",
      "CName": "结构钢筋网"
    },
    {
      "name": "OST_FabricAreas",
      "CName": "结构钢筋网区域"
    },
    {
      "name": "OST_ShaftOpening",
      "CName": "竖井洞口"
    }
  ]
}
```

:::