# 开发辅助功能

::: details 目录
[[toc]]
:::

**简介**

由于目前引擎没有编辑器辅助,所以暂时在window对象上挂载一些函数用于辅助获取基础场景信息

### 获取相机位置信息

```js
/**
 *获取当前相机的位置角度等信息
 *
 * @memberof PEHelpClass
 */
window.UI.PEGetCameraContent();
```

### 获取Mesh距离相机的当前距离

```js
/**
 *获取某个mesh距离相机的当前距离
 *
 * @param {*} sourceID
 * @memberof PEHelpClass
 */
window.UI.PEGetDistance(sourceid);

```

### 获取场景中任意一点的位置信息


调用此函数之后会自动再场景的世界坐标中心点生成一个2 * 2 * 2的立方体,可以用鼠标拖动该立方体到自己想要的位置上,停止拖放时会在控制台打印该立方体的世界坐标信息。

```js
/**
 *获取自定义相机的坐标,角度,场景中心点等信息
 *
 * @memberof PEHelpClass
 */
window.UI.PECreateCustomPosition()
```