# 3D信息反馈

::: details 目录
[[toc]]
:::

## 日志信息

::: details 完整结构

```json5
{
        "CmdName": "PESend3dLog",
        "Time": "",
        "Platform": "",
        "CmdParams": {

        },
        "OrderList": [
            {
                "OrderName": "PEError",//发送3D场景产生的异常，日志等信息
                "OrderParams": {
                    "Content": "",
                    "Data": {}
                }
            }
        ]

    }
```

:::

## 模型点击信息

::: details 完整结构

```json5
{
        "CmdName": "PESend3dLog",
        "Time": "",
        "Platform": "",
        "CmdParams": {

        },
        "OrderList": [
            {
                "OrderName": "PEClick",//3D场景点击事件
                "OrderParams": {
                    "SourceID": ""//点击产生的SourceID
                }
            }
        ]

    }
```

:::

## 使用说明

一般在程序中使用PEMessage类注册一个名为**PESend3dLog**的事件,引擎会将上述指令作为参数传递给前端注册的事件中,用于前端做出判断分析。