# 指令介绍

::: details 目录
[[toc]]
:::

## 介绍

指令是UI前端与3D场景通信的唯一方式,前端通过发送各种预制好的指令通知3D引起执行响应的操作。

## 形式

指令的形式为JSON格式

例如:

::: details 指令格式

```json5
{
        "CmdName": "PEChengScene",//--必填--指令类型名称
        "Time": "",//发送指令的时间戳
        "Platform": "",//发送指令的平台 WEB IOS ANDROID
        "CmdParams": {//指令执行必备的参数

        },
        "OrderList": [{//--必填--具体指令的参数集合
                "OrderName": "PELoadScene",//--必填--指令名称
                "OrderParams": {//执行指令需要的参数
                }
            }
        ]

    }
```
:::

## 执行方式

目前一共提供两种执行方式 并行与串行,建议尽量使用串行

### 串行

引擎接收到一组指令之后会判断当前是否存在正在执行的指令,如果有则进入缓存等待执行,如果没有则会按照指令顺序执行,只有上一个执行执行完成之后才会进行下一个指令执行。

### 并行

引擎接收到一个指令之后会立刻执行,不管当前是否存在正在执行的指令。

## 使用说明

串行更适合执行一组操作,下一个操作需要上一个操作完成之后才能进行下一个操作,例如点击一个按钮需要初始化一个场景,然后需要加载一些设备模型,那显然第二个指令是建立在第一个场景执行结束之后才能执行,如果用并行则肯定会导致失败,因为场景还没有初始化完成。
