# 3D加载数据查询

::: details 目录
[[toc]]
:::

**指令说明**

因为模型加载需要先从服务器下载然后解析,解析之后再开始渲染,所以有可能造成你要针对某个SourceID做出控制的时候,改SourceID对应的模型还没有下载解析完成,可以通过该指令查询SourceID是否已经解析完成

## SourceID查询

::: details 完整目录

```json5
{
        "CmdName": "PEWeb3DCodeState",
        "Time": "",
        "Platform": "",
        "CmdParams": {},
        "OrderList": [
            {
                "OrderName": "PESourceIDIsInit",//--必填-- 查询要操作的SourceID是否已经完成
                "OrderParams": {
                    "ObjectID":[//--必填--SourceID列表
                        ""
                    ],
                    "EndEventName":[//--必填--查询结果回调事件列表
                        ""
                    ]
                }
            }
        ]
}
```

:::

## 使用举例

::: details 完整目录
1. 使用PEMessage注册一个事件  AA
2. 发送指令

```json
{
        "CmdName": "PEWeb3DCodeState",
        "Time": "",
        "Platform": "",
        "CmdParams": {},
        "OrderList": [
            {
                "OrderName": "PESourceIDIsInit",//--必填-- 查询要操作的SourceID是否已经完成
                "OrderParams": {
                    "ObjectID":[//--必填--SourceID列表
                        "123"
                    ],
                    "EndEventName":[//--必填--查询结果回调事件列表
                        "AA"
                    ]
                }
            }
        ]
}
```
3. 接收返回查询返回结果

```json
{
    "123":{
        "state":1 //1 完成 0 未完成
    }
}
```

:::

