# 场景裁切

::: details 目录
[[toc]]
:::

## 场景进入裁切状态

::: details 完整格式
```json5
{
        "CmdName": "PEClip3dObject",
        "Time": "",
        "Platform": "",
        "CmdParams": {
           
        },
        "OrderList": [{
                "OrderName": "PEClip",//场景裁切
                "OrderParams": {
                    "ClipStyle": {//裁切样式
                        "BorderColor": "#FFFFFF",//裁切面板边框样式
                        "ClipNormalColor": "#FFFFFF",//裁切面板默认显示颜色
                        "ClipNormalOpacity": 0.1,//裁切面板默认透明度
                        "ClipHighlightedColor": "#FFFFFF",//裁切面板高亮颜色
                        "ClipHighlightedOpacity": 0.1,//裁切面板高亮透明度
                        "MinClipSize": 100//最小裁切距离,当裁切包围盒每个面之间的距离小于100之后将不允许继续裁切
                    }
                }
            }
        ]
    }

```
:::

## 隐藏裁切状态

::: details 完整格式
```json5
{
        "CmdName": "PEClip3dObject",
        "Time": "",
        "Platform": "",
        "CmdParams": {
           
        },
        "OrderList": [
            {
                "OrderName": "PEVisible",//裁切面板显示隐藏
                "OrderParams":{
                    "Visible":true
                }
            }
        ]

    }

```
:::

## 还原裁切状态

::: details 完整格式
```json5
{
        "CmdName": "PEClip3dObject",
        "Time": "",
        "Platform": "",
        "CmdParams": {
           
        },
        "OrderList": [
            {
                "OrderName": "PERestitution"//还原裁切
            }
        ]

    }

```
:::

## 取消裁切状态

::: details 完整格式
```json5
{
        "CmdName": "PEClip3dObject",
        "Time": "",
        "Platform": "",
        "CmdParams": {
           
        },
        "OrderList": [
            {
                "OrderName": "PECancel"//取消裁切
            }
        ]

    }

```
:::