# 控制3D场景

::: details 目录
[[toc]]
:::

## 旋转平移缩放

::: details 完整格式
```json5
{
        "CmdName": "PEController3dScene",
        "Time": "",
        "Platform": "",
        "CmdParams": {

        },
        "OrderList": [{
            "OrderName": "PEController",//--必填-- 客户端通过虚拟摇杆等交互行为控制3D场景
            "OrderParams": {
                "Mode":0,//--必填-- 控制模型 0 平移 1 旋转 2 缩放
                "Value": {//--必填-- 控制速度系数
                    "x": 1,
                    "y": 1
                }
            }
        }]

    }
```
:::

## 指令说明

::: details 指令简介
该指令主要解决UI与3D并不在一个执行环境中,则提供类似游戏控制摇杆的方式进行控制场景的交互

客户端控制方式：以一个二维坐标系作为控制坐标系,x取值为-1到1 y取值为-1到1 x向右为正 y向上为正
  
平移旋转需要发送x，y的偏移系数
  
缩放只需要发送y的偏移系数
:::
